# Uses of Class
javax.swing.SwingWorker

Packages that use SwingWorker
Package
Description
com.sun.tools.jconsole
This package contains the JConsole API.

## Uses of SwingWorker in com.sun.tools.jconsole

Methods in com.sun.tools.jconsole that return SwingWorker
Modifier and Type
Method
Description
`abstract SwingWorker<?,?>`
JConsolePlugin.`newSwingWorker()`
Returns a `SwingWorker` to perform the GUI update for this plugin at the same interval as JConsole updates the GUI.